File
Stored in the files collection. createdAt and updatedAt are maintained automatically.
Returned by POST /contact/import, GET /file, GET /file/:id, DELETE /file/recycle-bin, GET /file/recycle-bin, POST /lead/import and 1 more.
| Field | Type | Notes |
|---|---|---|
name | string | required |
size | number | required |
mime | string | required · one of image/jpeg, image/jpg, image/png, image/gif, image/bmp, image/tiff, image/svg+xml, application/pdf and 31 more |
hashes | object | default {} |
hashes.md5 | string | |
hashes.sha1 | string | |
hashes.sha256 | string | |
hashes.sha512 | string | |
hashes._id | ObjectId | default "6a95712f932657988a91c094" |
url | string | required |
bucket | ObjectId -> Bucket | |
company | ObjectId -> Company | |
whatsappHandle | string | |
trashedAt | date | default null |
trashedBy | ObjectId -> Member | |
isDeleted | boolean | default false |
createdBy | ObjectId -> Member | |
_id | ObjectId | default "6a95712f932657988a91c095" |
createdAt | date | set once |
updatedAt | date |